Subject: Re: Implementing IP over 1394

From: Kenji Fujisawa <[email-masked]>
Date: Mon, 21 Dec 1998 21:05:14 +0900

>How this specification is intended to be implemented?  I can know of
>two ways,
> 1) implement in the similar way as the LAN emulation over ATM. ( IP
>    is not aware that it is running over 1394)
> 2) implement in the similar way as the native IP over ATM. (IP is
>    aware that it is running over 1394)
>Specification does not seem to be recommanding, out of above two approach
>which one is intended (suggested) way of implementation.

You may implement it in either way if the external behavior is compliant
to the spec. It is not our intention to describe a specific implementation.

The spec itself is not an MAC layer emulation. In this sense,
the answer is 2. But you may implement it similarly with the LAN emulation.
I know some vendors implemneted IP over ATM using MAC emulation
(such as an old NDIS).

Regards,

Kenji Fujisawa

---

From: BHAVESH R PATHAK <[email-masked]>
Date: Mon, 21 Dec 1998 16:32:42 -0530

Dear Everybody,
After going through the IP over 1394 draft I got following doubt.

with regards,
bhavesh